converters/p5-Sereal-Decoder - The NetBSD Packages Collection

Perl5 module for fast, compact, powerful binary deserialization

This library implements a deserializer for an efficient, compact-output,
and feature-rich binary protocol called Sereal. Its sister module
Sereal::Encoder implements an encoder for this format. The two are released
separately to allow for independent and safer upgrading.

The Sereal protocol version that is compatible with this decoder
implementation is currently protocol version 1. As it stands, it will
refuse to attempt to decode future versions of the protocol, but there
is likely going to be an option to decode the parts of the input that
are compatible with version 1 of the protocol. The protocol was designed
to allow for this.

Build dependencies

devel/p5-Test-LongString devel/p5-Test-Warn devel/p5-Test-Deep devel/p5-Test-Differences pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 8.0earmv7hfp5-Sereal-Decoder-4.018.tgz
NetBSD 8.0earmv7hfp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 8.0i386p5-Sereal-Decoder-4.018.tgz
NetBSD 8.0i386p5-Sereal-Decoder-4.018nb1.tgz
NetBSD 8.0powerpcp5-Sereal-Decoder-4.018.tgz
NetBSD 8.0powerpcp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 8.0powerpcp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 8.0powerpcp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 8.0x86_64p5-Sereal-Decoder-4.018.tgz
NetBSD 8.0x86_64p5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0aarch64p5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0aarch64p5-Sereal-Decoder-4.018.tgz
NetBSD 9.0aarch64p5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0alphap5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0alphap5-Sereal-Decoder-4.018.tgz
NetBSD 9.0alphap5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0earmp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0earmp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0earmp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0earmv6hfp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0earmv6hfp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0earmv6hfp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0earmv7hfp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0earmv7hfp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0earmv7hfp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0earmv7hfp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0i386p5-Sereal-Decoder-4.018.tgz
NetBSD 9.0i386p5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0m68kp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0mips64ebp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0mips64ebp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0mips64ebp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0mips64ebp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0mips64ebp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0mipselp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0mipselp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0mipselp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0mipselp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0powerpcp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0powerpcp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0powerpcp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0powerpcp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0sh3elp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0sh3elp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0sh3elp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0sh3elp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0sparc64p5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0sparc64p5-Sereal-Decoder-4.018.tgz
NetBSD 9.0sparc64p5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0sparcp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0sparcp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0sparcp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0sparcp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0sparcp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0vaxp5-Sereal-Decoder-4.018.tgz
NetBSD 9.0vaxp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0vaxp5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0x86_64p5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0x86_64p5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0x86_64p5-Sereal-Decoder-4.018.tgz
NetBSD 9.0x86_64p5-Sereal-Decoder-4.018nb1.tgz
NetBSD 9.0x86_64p5-Sereal-Decoder-4.018nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.